#include <QGuiApplication>
#include <QtQml>
#include <QQmlApplicationEngine>

#include "qvnc.h"

int main(int argc, char *argv[])
{
    QSurfaceFormat format;
    format.setAlphaBufferSize(8);
    format.setRedBufferSize(8);
    format.setGreenBufferSize(8);
    format.setBlueBufferSize(8);
    format.setDepthBufferSize(0);
    format.setStencilBufferSize(0);
    format.setMajorVersion(2);
    format.setMinorVersion(0);
    format.setRenderableType(QSurfaceFormat::OpenGLES);
    format.setSwapBehavior(QSurfaceFormat::SingleBuffer);
    format.setSwapInterval(0);
#ifdef OGL_DEBUG
    format.setOption(QSurfaceFormat::DebugContext, true);
#endif
    QSurfaceFormat::setDefaultFormat(format);
    QGuiApplication::setAttribute(Qt::AA_UseOpenGLES, true);
    QGuiApplication app(argc, argv);

    qmlRegisterType<QVnc>("thinclient", 1, 4, "QVnc");
    QQmlApplicationEngine engine;
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    return app.exec();
}
